org.yaml.snakeyaml.util

## Class ArrayStack<T>

- java.lang.Object
- - org.yaml.snakeyaml.util.ArrayStack<T>

    public class ArrayStack<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ArrayStack(int initSize)`

### Method Summary

Methods
`void` `clear()`
`boolean` `isEmpty()`
`T` `pop()`
`void` `push(T obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayStack

    public ArrayStack(int initSize)

### Method Detail

#### push

    public void push(T obj)

#### pop

    public T pop()

#### isEmpty

    public boolean isEmpty()

#### clear

    public void clear()